<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title>Resource Management Client API</title>
    <filename>main</filename>
    <docanchor file="main">globus_gram_client_main</docanchor>
  </compound>
  <compound kind="struct">
    <name>globus_gram_client_job_info_s</name>
    <filename>structglobus__gram__client__job__info__s.html</filename>
    <member kind="variable">
      <type>globus_hashtable_t</type>
      <name>extensions</name>
      <anchorfile>structglobus__gram__client__job__info__s.html</anchorfile>
      <anchor>6be6489183105587f975d588be501e21</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>job_contact</name>
      <anchorfile>structglobus__gram__client__job__info__s.html</anchorfile>
      <anchor>50fa8128f263542ec423b1d7db7066f0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>job_state</name>
      <anchorfile>structglobus__gram__client__job__info__s.html</anchorfile>
      <anchor>b752d84af09fe6bc89f8d919e88275b1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>protocol_error_code</name>
      <anchorfile>structglobus__gram__client__job__info__s.html</anchorfile>
      <anchor>e283e782e927550ed910b6c0c48d8ebb</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="page">
    <name>globus_gram_resource_manager_contact</name>
    <title>Resource Manager Contact</title>
    <filename>globus_gram_resource_manager_contact</filename>
  </compound>
  <compound kind="group">
    <name>globus_gram_client_callback</name>
    <title>Job state callbacks</title>
    <filename>group__globus__gram__client__callback.html</filename>
    <class kind="struct">globus_gram_client_job_info_s</class>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_gram_client_callback_func_t</name>
      <anchorfile>group__globus__gram__client__callback.html</anchorfile>
      <anchor>g1128db84d149711fbfc49fc2b91681a7</anchor>
      <arglist>)(void *user_callback_arg, char *job_contact, int state, int errorcode)</arglist>
    </member>
    <member kind="typedef">
      <type>globus_gram_client_job_info_s</type>
      <name>globus_gram_client_job_info_t</name>
      <anchorfile>group__globus__gram__client__callback.html</anchorfile>
      <anchor>g9aedd92b56df48dfc81dd214ef97a49e</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_gram_client_info_callback_func_t</name>
      <anchorfile>group__globus__gram__client__callback.html</anchorfile>
      <anchor>gab75f5b4352520b5ab2f0eadb6940991</anchor>
      <arglist>)(void *user_callback_arg, const char *job_contact, globus_gram_client_job_info_t *job_info)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_gram_client_nonblocking_func_t</name>
      <anchorfile>group__globus__gram__client__callback.html</anchorfile>
      <anchor>g760917f90b8145e07f26be69511eb661</anchor>
      <arglist>)(void *user_callback_arg, globus_gram_protocol_error_t operation_failure_code, const char *job_contact, globus_gram_protocol_job_state_t job_state, globus_gram_protocol_error_t job_failure_code)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_callback_allow</name>
      <anchorfile>group__globus__gram__client__callback.html</anchorfile>
      <anchor>gfd46d9ce5e1d2976e2e5e8292666ddf2</anchor>
      <arglist>(globus_gram_client_callback_func_t callback_func, void *user_callback_arg, char **callback_contact)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_info_callback_allow</name>
      <anchorfile>group__globus__gram__client__callback.html</anchorfile>
      <anchor>gf84373032fcbd17016e1a0d8d1e65966</anchor>
      <arglist>(globus_gram_client_info_callback_func_t callback_func, void *user_callback_arg, char **callback_contact)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_callback_disallow</name>
      <anchorfile>group__globus__gram__client__callback.html</anchorfile>
      <anchor>g96a2d72667d9810b49aca04523967392</anchor>
      <arglist>(char *callback_contact)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gram_client_job_functions</name>
    <title>GRAM Job Functions</title>
    <filename>group__globus__gram__client__job__functions.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_register_ping</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>g27aefcaeb2b1ac3c9b20b2a9832ea621</anchor>
      <arglist>(const char *resource_manager_contact, globus_gram_client_attr_t attr, globus_gram_client_nonblocking_func_t register_callback, void *register_callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_ping</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>gbfb264ed0e9a6d07680771b4caf81a70</anchor>
      <arglist>(const char *resource_manager_contact)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_get_jobmanager_version</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>g936341d27fb5e20a71089eb38eecacb9</anchor>
      <arglist>(const char *resource_manager_contact, globus_hashtable_t *extensions)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_register_job_request</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>g2e8be61400354d04b41114b71d874be9</anchor>
      <arglist>(const char *resource_manager_contact, const char *description, int job_state_mask, const char *callback_contact, globus_gram_client_attr_t attr, globus_gram_client_nonblocking_func_t register_callback, void *register_callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_job_request</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>g1b7b2b376886e86e2cf591a09ae7b630</anchor>
      <arglist>(const char *resource_manager_contact, const char *description, int job_state_mask, const char *callback_contact, char **job_contact)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_register_job_request_with_info</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>gc098b848381d1ddf6b839f6b07c387fa</anchor>
      <arglist>(const char *resource_manager_contact, const char *description, int job_state_mask, const char *callback_contact, globus_gram_client_attr_t attr, globus_gram_client_info_callback_func_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_job_request_with_info</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>gc0e2e534dbdec104321f1fce6fcb5c4a</anchor>
      <arglist>(const char *resource_manager_contact, const char *description, int job_state_mask, const char *callback_contact, char **job_contact, globus_gram_client_job_info_t *info)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_job_cancel</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>g500fc2a7d7fb29d868564ea28e8f8cc6</anchor>
      <arglist>(const char *job_contact)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_register_job_cancel</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>g4b45212b7eb46cc029bad952aedcb674</anchor>
      <arglist>(const char *job_contact, globus_gram_client_attr_t attr, globus_gram_client_nonblocking_func_t register_callback, void *register_callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_job_signal</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>g7578f2792a26a7f841db7a494fc1b9be</anchor>
      <arglist>(const char *job_contact, globus_gram_protocol_job_signal_t signal, const char *signal_arg, int *job_status, int *failure_code)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_register_job_signal</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>gc969e91926b19ff5019670ab721f0351</anchor>
      <arglist>(const char *job_contact, globus_gram_protocol_job_signal_t signal, const char *signal_arg, globus_gram_client_attr_t attr, globus_gram_client_nonblocking_func_t register_callback, void *register_callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_job_status</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>g48e4ce99550c42337b3a7d1a1637aab6</anchor>
      <arglist>(const char *job_contact, int *job_status, int *failure_code)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_register_job_status</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>gf34a2495a8d6ee1c586369a5b41fd959</anchor>
      <arglist>(const char *job_contact, globus_gram_client_attr_t attr, globus_gram_client_nonblocking_func_t register_callback, void *register_callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_register_job_status_with_info</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>g0b3ad567b3068b49fa4e688e7191a410</anchor>
      <arglist>(const char *job_contact, globus_gram_client_attr_t attr, globus_gram_client_info_callback_func_t info_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_job_status_with_info</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>g7f0b9b0a05027c6bc8f38ce42a09f25a</anchor>
      <arglist>(const char *job_contact, globus_gram_client_job_info_t *info)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_job_callback_register</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>gd17b2dfab667253ae92f62e88e643a6b</anchor>
      <arglist>(const char *job_contact, int job_state_mask, const char *callback_contact, int *job_status, int *failure_code)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_job_callback_unregister</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>g38c0e39bd1cf1dfd63d5ec74caabcd90</anchor>
      <arglist>(const char *job_contact, const char *callback_contact, int *job_status, int *failure_code)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_job_refresh_credentials</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>gc7608cc0c2548e1dfa6e7068ce322df0</anchor>
      <arglist>(char *job_contact, gss_cred_id_t creds)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_register_job_refresh_credentials</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>gaa458d3d8ee61f5b1419587381772cad</anchor>
      <arglist>(char *job_contact, gss_cred_id_t creds, globus_gram_client_attr_t attr, globus_gram_client_nonblocking_func_t register_callback, void *register_callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_register_job_callback_registration</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>g6aa25aba6380e3aff9bffd6a93083f65</anchor>
      <arglist>(const char *job_contact, int job_state_mask, const char *callback_contact, globus_gram_client_attr_t attr, globus_gram_client_nonblocking_func_t register_callback, void *register_callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_register_job_callback_unregistration</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>g9cb60d47748a356f933af2cc0fc5d56e</anchor>
      <arglist>(const char *job_contact, const char *callback_contact, globus_gram_client_attr_t attr, globus_gram_client_nonblocking_func_t register_callback, void *register_callback_arg)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gram_client</name>
    <title>Other GRAM Client Functions</title>
    <filename>group__globus__gram__client.html</filename>
    <member kind="function">
      <type>void</type>
      <name>globus_gram_client_debug</name>
      <anchorfile>group__globus__gram__client.html</anchorfile>
      <anchor>g90aaf079b04ca31e2999ba4c38c6a20a</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_version</name>
      <anchorfile>group__globus__gram__client.html</anchorfile>
      <anchor>g8bc94cb1a41d74f2702e40b4cce9a5ae</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_set_credentials</name>
      <anchorfile>group__globus__gram__client.html</anchorfile>
      <anchor>g81da1dfae15dae0f0b76c1407c2888d9</anchor>
      <arglist>(gss_cred_id_t new_credentials)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>globus_gram_client_error_string</name>
      <anchorfile>group__globus__gram__client.html</anchorfile>
      <anchor>gd13a29e98de17b76375cafc535f9592d</anchor>
      <arglist>(int error_code)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_job_contact_free</name>
      <anchorfile>group__globus__gram__client.html</anchorfile>
      <anchor>g82c5caba496654dfa23987f80e341f14</anchor>
      <arglist>(char *job_contact)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gram_client_job_info_destroy</name>
      <anchorfile>group__globus__gram__client.html</anchorfile>
      <anchor>gbde521a47aed99115122152e2a578d3a</anchor>
      <arglist>(globus_gram_client_job_info_t *info)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gram_client_attr</name>
    <title>GRAM Client Attribute Functions</title>
    <filename>group__globus__gram__client__attr.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_GRAM_CLIENT_NO_ATTR</name>
      <anchorfile>group__globus__gram__client__attr.html</anchorfile>
      <anchor>g3824524d5225c2fb687a6acdf4b9f275</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>void *</type>
      <name>globus_gram_client_attr_t</name>
      <anchorfile>group__globus__gram__client__attr.html</anchorfile>
      <anchor>g6ebc0984fb4abf0b66db6dfaa03eb678</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_attr_init</name>
      <anchorfile>group__globus__gram__client__attr.html</anchorfile>
      <anchor>g73041a8f0d2e1435a375c7cfc7ba0c1f</anchor>
      <arglist>(globus_gram_client_attr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_attr_destroy</name>
      <anchorfile>group__globus__gram__client__attr.html</anchorfile>
      <anchor>g341dae33efb8515141706613067d564b</anchor>
      <arglist>(globus_gram_client_attr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_attr_set_credential</name>
      <anchorfile>group__globus__gram__client__attr.html</anchorfile>
      <anchor>ge40d7a3b0bea7c38068246cfce1cfeae</anchor>
      <arglist>(globus_gram_client_attr_t attr, gss_cred_id_t credential)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_attr_get_credential</name>
      <anchorfile>group__globus__gram__client__attr.html</anchorfile>
      <anchor>g619e82cd4385fb7de43d2c508afad9e4</anchor>
      <arglist>(globus_gram_client_attr_t attr, gss_cred_id_t *credential)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_attr_set_delegation_mode</name>
      <anchorfile>group__globus__gram__client__attr.html</anchorfile>
      <anchor>g28a55dc83f676ab711524db1d93e4bb0</anchor>
      <arglist>(globus_gram_client_attr_t attr, globus_io_secure_delegation_mode_t mode)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_attr_get_delegation_mode</name>
      <anchorfile>group__globus__gram__client__attr.html</anchorfile>
      <anchor>gcd9cb53484a9ffe01f3fb2253d6f7cab</anchor>
      <arglist>(globus_gram_client_attr_t attr, globus_io_secure_delegation_mode_t *mode)</arglist>
    </member>
  </compound>
</tagfile>
